<?php

include_once __DIR__ . '/../../../main.php';             # 导入game utils
include_once __DIR__ . '/../Mo/resp.php';                # 导入通用返回值结构
include_once __DIR__ . '/../Mo/payRequest.php';          # 导入通用订单请求结构
require_once __DIR__ . '/lib/Sdk.php';                       # 百度SDK

use loyalsoft\CLog;
use loyalsoft\JsonUtil;
use loyalsoft\HttpUtil;

$str = HttpUtil::getQueryString();                       # 取参数
//    $str = gzinflate($str);
$data = JsonUtil::decode($str);
$req = new PayRequest($data);                            # 解析参数并创建订单
if ($req->InserDataBase()) {                             # 订单数据入库
    CLog::pay('[百度.pay]创建订单' . $req);
    echo Resp::ok($req->retData());                      # 返回值
} else {
    CLog::pay('[百度.pay]创建订单失败' . $req);
    echo Resp::err(1, '创建订单失败');                     # 返回值
}